Subject: Re: [PATCH 5/8] arm64: defconfig: enable EFI_VARS and EFI_CAPSULE_LOADER

From: Timur Tabi <[email-masked]>
Date: Wed, 12 Apr 2017 15:58:07 -0500

On 04/12/2017 11:14 AM, Mark Rutland wrote:
>>> > > Many ARM64 server systems boot via EFI, so enable support for some EFI
>>> > > options to allow applications to interact with EFI.
>>> > > 
>>> > > CONFIG_EFI_VARS enables sysfs support for reading and writing variables
>> > 
>> > Isn't efivarfs preferred for that these days, or have I imagined that?
>> > 
>> > Robin.
> Ard, Leif?

So my research suggests that efivarfs is a replacement for CONFIG_EFI_VARS.
We may still have some older programs that use the sysfs entries, but I'm
not sure.

Regardless, I will drop EFI_VARS from v2 of the patset, and just set
EFI_CAPSULE_LOADER.

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.